const IPFS = require('ipfs')
const Graph = require('./')
const ipfs = new IPFS()

ipfs.on('start', () => {
  const graph = new Graph(ipfs.dag)
  const a = {
    some: {
      thing: 'nested'
    }
  }
  const b = {
    lol: 1
  }

  graph.set(a, 'some/thing/else', b).then(result => {
    // set "patches" together two objects
    console.log(JSON.stringify(result, null, 2))

    // flush replaces the links with merkle links
    graph.flush(result).then(result => {
      console.log(result)

      // taverse paths through merkle links given a starting vertex
      graph.get(result, 'some/thing/else').then(result2 => {
        console.log(result2)
      })
    })
  })
})
